import { selectAll } from 'unist-util-select';
/**
 * Replace invalid 'citation' element with 'mixed-citation'
 *
 * This occurs in JATS from multiple publishers
 */
export function citationToMixedCitation(tree) {
    selectAll('citation', tree).forEach((node) => {
        node.type = 'mixed-citation';
    });
}
