import type { GenericParent, GenericNode } from 'myst-common';
import type { Plugin } from 'unified';
import type { VFile } from 'vfile';
export * from './abbreviations.js';
export * from './abstract.js';
export * from './admonitions.js';
export * from './biorxiv.js';
export * from './citations.js';
export * from './figureCaptions.js';
export * from './footnotes.js';
export * from './references.js';
export * from './sections.js';
export * from './typography.js';
export declare function basicTransformations(tree: GenericParent, file: VFile): void;
export declare const basicTransformationsPlugin: Plugin<[], GenericParent, GenericParent>;
export declare function journalTransforms(tree?: GenericNode): void;
//# sourceMappingURL=index.d.ts.map